; Instrument-specific parameters for LRISB
;
; Amplifiers are ordered from left to right
;

nchip         = 2           ; Number of CCDs included in each array
chip_xmin     = [204,2253]  ; Min x for each chip (not including overscan)
chip_xmax     = [2251,4299] ; Max x for each chip (not including overscan)
chip_ymin     = [0,0]       ; Min y for each chip (not including overscan)
chip_ymax     = [4095,4095] ; Max y for each chip (not including overscan)
namp          = 4           ; Number of amplifiers
gain          = [1.542,1.546,1.632,1.633] ; Gain for each amplifier (e-/ADU)
amp_xmin      = [204,1228,2252,3276]       ; Min x for each amplifier (not including overscan)
amp_xmax      = [1227,2251,3275,4299]      ; Max x for each amplifier (not including overscan)
amp_ymin      = [0,0,0,0]                  ; Min y for each amplifier (not including overscan)
amp_ymax      = [4095,4095,4095,4095]      ; Max y for each amplifier (not including overscan)
erdnoise      = 4.0      ; Read noise per coadd (e-)
satlevel      = 60000.   ; Saturation level (ADU) 
dispdir       = 'y'      ; Dispersion direction, 'x' or 'y'
prescan_x     = [0,203]     ; [x_min,x_max] of prescan region (-1 = none)
prescan_y     = [0,4095]    ; [y_min,y_max] of prescan region (-1 = none)
oscan_x       = [4300,4619] ; [x_min,x_max] of overscan region (-1 = none)
oscan_y       = [0,4095]    ; [y_min,y_max] of overscan region (-1 = none)
trim          = 0     ; Trim pre/overscan regions before processing?
rotate        = 0     ; Rotate frame (90 deg clockwise) before processing?
darkcurrent   = 0     ; Dark current (e-/sec/pixel)
badpixelfile  = -1    ; Filename of bad pixel map (-1 = none)
bk_space      = 0.5   ; Initial spacing of b-spline break points, in input wave units
min_bk_space  = 0.5   ; Minimum spacing of b-spline break points, in input wave units
slitedge1     = 1550  ; First edge of slit, in slit position coords
slitedge2     = 2840  ; Second edge of slit, in slit position coords
wavemin       = 5200  ; Min input wavelength over which to locate object
wavemax       = 5400  ; Max input wavelength over which to locate object
slitmin       = 1550  ; Min input slit position over which to locate object
slitmax       = 2840  ; Max input slit position over which to locate object
sub_width     = 300.  ; Range in slit position over which to perform sky subtraction
wavebin       = 1.2   ; Binning for extracted spectrum, in angstroms 
illum_poly    = 2.    ; 1 + polynomial order for slit illumination fn (2 = linear)
x_display     = [1550,2840] ; [xmin,xmax] for display of subtracted array
y_display     = [0,1000]    ; [ymin,ymax] for display of subtracted array
traceobj      = 1         ; Trace object with respect to slit position? (1 = yes)
bestprofile   = 1         ; Estimate object profile using entire spectrum? (1 = yes)
line_file     = '/scr2/gdb/keck/lris/sep03/calibrations/blue_skylines_air_600_4000.dat' ; Default sky line list
wave_model    = -1        ; Default tabulated sky model
getsubarray   = 1         ; Extract sub-arrays for output files? (1 = yes)
subarray_x    = [1500,2869] ; [xmin,xmax] of extracted subarray
subarray_y    = [0,4095]    ; [ymin,ymax] of extracted subarray
latitude      = 19.8283  ; Observatory latitude (degrees; Keck = 19.8283)
longitude     = 155.478   ; Observatory longitude (degrees; Keck = 155.478)
altitude      = 4160.     ; Observatory altitude (meters; Keck = 4160.)
