; Instrument-specific parameters for LDSS3, (1 of 2 arrays corresponding
; to a single amp)

nchip         = 1        ; Number of CCDs included in each array
chip_xmin     = [0]      ; Min x for each chip (not including overscan)
chip_xmax     = [2031]   ; Max x for each chip (not including overscan)
chip_ymin     = [381]    ; Min y for each chip (not including overscan)
chip_ymax     = [1749]   ; Max y for each chip (not including overscan)
namp          = 1        ; Number of amplifiers
gain          = [0.77]   ; Gain for each amplifier (e-/ADU)
amp_xmin      = [0]      ; Min x for each amplifier (not including overscan)
amp_xmax      = [2031]   ; Max x for each amplifier (not including overscan)
amp_ymin      = [381]    ; Min y for each amplifier (not including overscan)
amp_ymax      = [1749]   ; Max y for each amplifier (not including overscan)
erdnoise      = 4.07     ; Read noise (e-)
satlevel      = 60000.   ; Saturation level (ADU) 
dispdir       = 'x'      ; Dispersion direction, 'x' or 'y'
prescan_x     = [0,2159]    ; [x_min,x_max] of prescan region (-1 = none)
prescan_y     = [1750,2036] ; [y_min,y_max] of prescan region (-1 = none)
oscan_x       = [2032,2159] ; [x_min,x_max] of overscan region (-1 = none)
oscan_y       = [0,2159]    ; [y_min,y_max] of overscan region (-1 = none)
trim          = 0     ; Trim pre/overscan regions before processing?
rotate        = 0     ; Rotate frame (90 deg clockwise) before processing?
darkcurrent   = 0.0   ; Dark current (e-/sec/pixel)
badpixelfile  = -1    ; Filename of bad pixel map (-1 = none)
bk_space      = 0.5   ; Initial spacing of b-spline break points, in input wave units
min_bk_space  = 0.5   ; Minimum spacing of b-spline break points, in input wave units
slitedge1     = 750   ; First edge of slit, in slit position coords
slitedge2     = 1388  ; Second edge of slit, in slit position coords
wavemin       = 8679  ; Min input wavelength over which to locate object
wavemax       = 8749  ; Max input wavelength over which to locate object
slitmin       = 750   ; Min input slit position over which to locate object
slitmax       = 1388  ; Max input slit position over which to locate object
sub_width     = 100.  ; Range in slit position over which to perform sky subtraction
dispersion    = 1.0   ; Approximate dispersion, in ang/input wave unit (pixel)
wavebin       = 55.0  ; Binning for extracted spectrum, in kms if /loglin is set
illum_poly    = 2.    ; 1 + polynomial order for slit illumination fn (2 = linear)
x_display     = [750,1750] ; [xmin,xmax] for display of subtracted array
y_display     = [685,1410] ; [ymin,ymax] for display of subtracted array
traceobj      = 1          ; Trace object with respect to slit position? (1 = yes)
bestprofile   = 1          ; Estimate object profile using entire spectrum? (1 = yes)
line_file     = '~gdb/calib/lris/linelists/skylines_air.dat' ; Default sky line list
wave_model    = -1        ; Default tabulated sky model
getsubarray   = 0         ; Extract sub-arrays for output files? (1 = yes)
subarray_x    = [0,2159]  ; [xmin,xmax] of extracted subarray
subarray_y    = [0,2159]  ; [ymin,ymax] of extracted subarray
latitude      = 19.8283   ; Observatory latitude (degrees; Keck = 19.8283)
longitude     = 155.478   ; Observatory longitude (degrees; Keck = 155.478)
altitude      = 4160.     ; Observatory altitude (meters; Keck = 4160.)
