; Instrument-specific parameters for LRISR (pre/overscan regions present)
; using full-frame readout (1x1 binning)
;
; Amplifiers are ordered from left to right
;

nchip         = 1      ; Number of CCDs included in each array
chip_xmin     = [40]   ; Min x for each chip (not including overscan)
chip_xmax     = [2087] ; Max x for each chip (not including overscan)
chip_ymin     = [0]    ; Min y for each chip (not including overscan)
chip_ymax     = [2047] ; Max y for each chip (not including overscan)
namp          = 2           ; Number of amplifiers
gain          = [1.98,2.19] ; Gain for each amplifier (e-/ADU)
amp_xmin      = [40,1064]   ; Min x for each amplifier (not including overscan)
amp_xmax      = [1063,2087] ; Max x for each amplifier (not including overscan)
amp_ymin      = [0,0]       ; Min y for each amplifier (not including overscan)
amp_ymax      = [2047,2047] ; Max y for each amplifier (not including overscan)
erdnoise      = 6.2       ; Read noise per coadd (e-)
satlevel      = 60000.    ; Saturation level (ADU) 
dispdir       = 'x'       ; Dispersion direction, 'x' or 'y'
prescan_x     = [0,39]      ; [x_min,x_max] of prescan region (-1 = none)
prescan_y     = [0,2047]    ; [y_min,y_max] of prescan region (-1 = none)
oscan_x       = [2088,2247] ; [x_min,x_max] of overscan region (-1 = none)
oscan_y       = [0,2047]    ; [y_min,y_max] of overscan region (-1 = none)
trim          = 0     ; Trim pre/overscan regions before processing?
rotate        = 0     ; Rotate frame (90 deg clockwise) before processing?
darkcurrent   = 0     ; Dark current (e-/sec/pixel)
badpixelfile  = -1    ; Filename of bad pixel map (-1 = none)
bk_space      = 1.0   ; Initial spacing of b-spline break points, in input wave units
min_bk_space  = 1.0   ; Minimum spacing of b-spline break points, in input wave units
slitedge1     = 600   ; First edge of slit, in slit position coords
slitedge2     = 1425  ; Second edge of slit, in slit position coords
wavemin       = -1e6  ; Min input wavelength over which to locate object
wavemax       = 1e6   ; Max input wavelength over which to locate object
slitmin       = 600   ; Min input slit position over which to locate object
slitmax       = 1425  ; Max input slit position over which to locate object
sub_width     = 200.  ; Range in slit position over which to perform sky subtraction
wavebin       = 2.0   ; Binning for extracted spectrum, in angstroms 
illum_poly    = 2.    ; 1 + polynomial order for slit illumination fn (2 = linear)
x_display     = [200,1200] ; [xmin,xmax] for display of subtracted array
y_display     = [500,1500] ; [ymin,ymax] for display of subtracted array
traceobj      = 0          ; Trace object with respect to slit position? (1 = yes)
bestprofile   = 1          ; Estimate object profile using entire spectrum? (1 = yes)
line_file     = '~/calib/lris/linelists/red_skylines_air_25.90.dat' ; Default sky line list
wave_model    = -1        ; Default tabulated sky model
getsubarray   = 0         ; Extract sub-arrays for output files? (1 = yes)
subarray_x    = [0,2247]  ; [xmin,xmax] of extracted subarray
subarray_y    = [0,2047]  ; [ymin,ymax] of extracted subarray
latitude      = 19.8283   ; Observatory latitude (degrees; Keck = 19.8283)
longitude     = 155.478   ; Observatory longitude (degrees; Keck = 155.478)
altitude      = 4160.     ; Observatory altitude (meters; Keck = 4160.)
